Name:           spec-tree
Version:        2025.1
Release:        %mkrel 3
Summary:        Tools to manage a large set of RPM .spec files
Group:          Development/Other
License:        GPLv2+
URL:            https://github.com/dfandrich/spec-tree
Source0:        https://github.com/dfandrich/spec-tree/archive/v%{version}/spec-tree-%{version}.tar.gz
BuildArch:      noarch
Requires:       curl
Requires:       gawk
Requires:       python3 >= 3.8
Requires:       rpm-build
Requires:       rpmdevtools
BuildRequires:  pyproject-rpm-macros
# If the spec tree is built from a snapshot instead, many scripts can be used
# without subversion, so make it optional.
Recommends:     subversion

%description
This package contains tools to manage a large set of RPM .spec files, tailored
for the Mageia Linux distribution.  The scripts allow you to check out all the
possible spec files in order to perform large-scale refactoring or changes, to
search all the spec files, or to perform analysis on them.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spectree

%files -n %{name} -f %{pyproject_files}
%doc README.md
%doc examples
%license COPYING
%{_bindir}/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2025.1-3.mga10
+ Revision: 2243803
- Mageia 10 Mass Rebuild

* Mon Mar 10 2025 neoclust <neoclust> 2025.1-2.mga10
+ Revision: 2162425
- Rebuild against new python 3.13

* Thu Feb 27 2025 danf <danf> 2025.1-1.mga10
+ Revision: 2153528
- Update to ver. 2025.1

* Fri Dec 29 2023 papoteur <papoteur> 2023.1-2.mga10
+ Revision: 2024017
- rebuild for python 3.12

* Tue Oct 24 2023 danf <danf> 2023.1-1.mga10
+ Revision: 2000663
- Update to ver. 2023.1

* Mon Jan 02 2023 danf <danf> 2023.0-1.mga9
+ Revision: 1929398
- imported package spec-tree

